Update a beacon
PATCH
/projects/{projectId}/beacons/{beaconId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
beaconId
string
required
path
Request Body
application/jsonid
string
project_id
string
form_id
string
position
string
Enum:
bottom-right, bottom-leftprimary_color
string
button_label
string
button_icon
string
Enum:
chat, mail, help, custom_svgcustom_svg
string | null
greeting_title
string
greeting_text
string
allowed_origins
string[]
Array of:
archived_at
string (date-time) | null
created_at
string (date-time)
Responses
200
Updated beacon
application/jsondata
object
id
string
project_id
string
form_id
string
position
string
Enum:
bottom-right, bottom-leftprimary_color
string
button_label
string
button_icon
string
Enum:
chat, mail, help, custom_svgcustom_svg
string | null
greeting_title
string
greeting_text
string
allowed_origins
string[]
Array of:
archived_at
string (date-time) | null
created_at
string (date-time)
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/beacons/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "id": "string", "project_id": "string", "form_id": "string", "position": "bottom-right", "primary_color": "string", "button_label": "string", "button_icon": "chat", "custom_svg": "string", "greeting_title": "string", "greeting_text": "string", "allowed_origins": [ "string" ], "archived_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/beacons/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "id": "string", "project_id": "string", "form_id": "string", "position": "bottom-right", "primary_color": "string", "button_label": "string", "button_icon": "chat", "custom_svg": "string", "greeting_title": "string", "greeting_text": "string", "allowed_origins": [ "string" ], "archived_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/beacons/string', headers=headers, json={ "id": "string", "project_id": "string", "form_id": "string", "position": "bottom-right", "primary_color": "string", "button_label": "string", "button_icon": "chat", "custom_svg": "string", "greeting_title": "string", "greeting_text": "string", "allowed_origins": [ "string" ], "archived_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z"})print(response.json())
200
Response
{ "data": { "id": "<string>", "project_id": "<string>", "form_id": "<string>", "position": "bottom-right", "primary_color": "<string>", "button_label": "<string>", "button_icon": "chat", "custom_svg": "<string>", "greeting_title": "<string>", "greeting_text": "<string>", "allowed_origins": [ "<string>" ], "archived_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
PATCH
/projects/{projectId}/beacons/{beaconId}